Bug 752597 - Snippets fail to load.
Snippets fail to load.
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2011-11-09 18:21 EST by Andrew Ross
Modified: 2013-10-20 18:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-11-14 02:53:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andrew Ross 2011-11-09 18:21:36 EST
Description of problem:

When I try to load snippets the icon changes to red and a traceback appears on the command line.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. start gedit
2. edit -> preferences -> plugins
3. Tick the snippets plugin
4. Traceback.
Actual results: Snippets fail to load, but gedit keeps working.
Traceback (most recent call last):
  File "/usr/lib64/gedit/plugins/snippets/__init__.py", line 19, in <module>
    from windowactivatable import WindowActivatable
  File "/usr/lib64/gedit/plugins/snippets/windowactivatable.py", line 29, in <module>
    class Activate(Gedit.Message):
  File "/usr/lib64/gedit/plugins/snippets/windowactivatable.py", line 31, in Activate
    iter = GObject.property(type=Gtk.TextIter)
  File "/usr/lib64/python2.7/site-packages/gi/_gobject/propertyhelper.py", line 111, in __init__
    self.type = self._type_from_python(type)
  File "/usr/lib64/python2.7/site-packages/gi/_gobject/propertyhelper.py", line 202, in _type_from_python
    raise TypeError("Unsupported type: %r" % (type_,))
TypeError: Unsupported type: <class 'gi.overrides.Gtk.TextIter'>

(gedit:5530): libpeas-WARNING **: Error loading plugin 'snippets'

Expected results: snippets load :)

Additional info:
Comment 1 Andrew Ross 2011-11-14 02:53:29 EST
Started gedit today and snippets loaded :)

rpm saying I still have gedit-3.2.2-1.fc16.x86_64 so not sure what the root issue was :-/

closing notabug

Note You need to log in before you can comment on or make changes to this bug.